package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.VideoData;

/**
 * videoService接口
 * 
 * @author ljx
 * @date 2024-08-05
 */
public interface IVideoDataService 
{
    /**
     * 查询video
     * 
     * @param id video主键
     * @return video
     */
    public VideoData selectVideoDataById(Long id);

    /**
     * 查询video列表
     * 
     * @param videoData video
     * @return video集合
     */
    public List<VideoData> selectVideoDataList(VideoData videoData);

    /**
     * 新增video
     * 
     * @param videoData video
     * @return 结果
     */
    public int insertVideoData(VideoData videoData);

    /**
     * 修改video
     * 
     * @param videoData video
     * @return 结果
     */
    public int updateVideoData(VideoData videoData);

    /**
     * 批量删除video
     * 
     * @param ids 需要删除的video主键集合
     * @return 结果
     */
    public int deleteVideoDataByIds(Long[] ids);

    /**
     * 删除video信息
     * 
     * @param id video主键
     * @return 结果
     */
    public int deleteVideoDataById(Long id);
}
